Update Lookup Service Configuration

Update Lookup Service Configuration
Configure LookupService

Updates an existing Lookup Service configuration identified by UUID. Validates the new configuration before applying changes.

Request
URI
PUT
https://{server}:9443/api/admin/global/config/lookupservice/{uuid}
COPY
Path Parameters
string
uuid
Required

The UUID of the Lookup Service configuration to update

uuid example
c3d4e5f6-a7b8-9012-cdef-123456789012

Request Body
LookupserviceUuidPutRequestBody of type(s) application/json
Required
{
    "data": {
        "items": [
            {
                "config": {
                    "UUID": "c3d4e5f6-a7b8-9012-cdef-123456789012",
                    "lookupServiceUrl": "https://vcenter.example.com/lookupservice/sdk",
                    "providerType": "PSC"
                }
            }
        ]
    }
}
object
data
Optional

data

Authentication
This operation uses the following authentication methods.
Responses
200

Lookup Service configuration updated successfully

Returns LookupserviceGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "lookupservice",
                "config": {
                    "lookupServiceUrl": "https://vcenter.example.com/lookupservice/sdk",
                    "providerType": "PSC",
                    "UUID": "c3d4e5f6-a7b8-9012-cdef-123456789012"
                }
            }
        ]
    }
}
object
data
Required

data


400

Bad request - validation failed or SSL certificate error

{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}

404

Configuration not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Failed modify item: c3d4e5f6-a7b8-9012-cdef-123456789012, section: lookupservice. Config does not exists.",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error - update failed

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Unable to update Lookup Service configuration",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/lookupservice/{uuid}